Name: powersave
Summary: General Powermanagement daemon supporting APM and ACPI and CPU frequency scaling
Version: 0.10.15.1
Release: alt2
License: GPL
Group: System/Kernel and hardware
Url: http://forge.novell.com/modules/xfmod/project/?powersave
Summary: General Powermanagement daemon supporting APM and ACPI and CPU frequency scaling
ExclusiveArch: %ix86 x86_64 ia64
Source0: %name-%version.tar.bz2
Source1: %name.init

Patch0: powersave-0.10.15-nodiskconfigrequires.patch
Patch1: powersave-0.10.15-noinline.patch
Patch2: powersave-0.10.15-disable-suspend.patch

# Automatically added by buildreq on Fri Oct 21 2005
BuildRequires: doxygen gcc-c++ gcc-g77 libdbus-devel libg2c-devel libhal-devel libstdc++-devel pkgconfig

BuildPreReq:  fillup >= 1.42-alt3
PreReq:  fillup >= 1.42-alt3 hal >= 0.5.4-alt6 acpid

%description
Powersave gives you control over the ACPI power buttons, three user
defined battery states (warning, low, critical) and supports proper
standby/suspend handling.

Additionally it could control the frequency of your processor if it
supports SpeedStep(Intel) or PowerNow(AMD) technology. This will
greatly reduce power consumption and heat production in your system.

Together with the kpowersave and yast2-power-management package it
should be the preferred power managing application.

Authors:
--------
    Thomas Renninger (mail@renninger.de, trenn@suse.de)

%package devel
Summary: Headers for developing programs that will use %name
License: GPL
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains the headers that programmers will need to develop
applications which will use %name.


%prep
%setup -q -n %name-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
subst "s/\/var\/run\/hal\/haldaemon.pid/\/var\/run\/hal\.pid/" daemon/*.cpp

%build
sed -i -e 's/CVS-HEAD/%version/' configure.ac
subst 's,/var/adm/fillup-templates,%_fillupdir,' config_files/Makefile.am
autoreconf -fi
./configure CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -fno-exceptions" \
            --prefix=/usr --enable-buildenv --libdir=%_libdir --mandir=%_mandir --enable-docs
make -e 'VERSION_NO="\"%version\""'

%install
# Version will be used for link to library: .so.%version, see below in %files
make install -e DESTDIR=%buildroot POWERSAVE_LIB_VERSION=%version TRANSLATION_DIR="%_datadir/locale/"
# rc script
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d
install -m755 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d/powersaved
%find_lang power-management

%files -f power-management.lang
%doc docs/README* docs/powersave.html docs/powersave_manual.txt docs/LIESMICH.suspend docs/setDefaultTrippoints.sh  docs/powersave_logs docs/update_config_files_after_09.sh contrib
%_sbindir/*
%_bindir/*
%_sysconfdir/dbus-1/system.d/powersave.conf
%exclude %_bindir/on_ac_power
%_libdir/libpowersave*.so.*
%prefix/lib/powersave
%_mandir/*/*
/etc/rc.d/init.d/powersaved
%_fillupdir/*
/etc/acpi

%files devel
%_includedir/*
%_libdir/libpowersave*.so

%post
%fillup_sysconfig scheme_acoustic powersave
%fillup_sysconfig scheme_performance powersave
%fillup_sysconfig scheme_powersave powersave
%fillup_sysconfig scheme_presentation powersave
%fillup_sysconfig events powersave
%fillup_sysconfig thermal powersave
%fillup_sysconfig battery powersave
%fillup_sysconfig sleep powersave
%fillup_sysconfig cpufreq powersave
%fillup_sysconfig common powersave
%fillup_sysconfig disk powersave
%post_service powersaved
%post_ldconfig

%preun
%preun_service powersaved

%postun
%postun_ldconfig

%changelog
* Sun Oct 30 2005 Anton Farygin <rider@altlinux.ru> 0.10.15.1-alt2
- post-scripts fixed

* Wed Oct 26 2005 Anton Farygin <rider@altlinux.ru> 0.10.15.1-alt1
- new version
- fixed powersaved initscript

* Mon Oct 17 2005 Anton Farygin <rider@altlinux.ru> 0.10.15-alt1
- updated to new version
- disabled suspend2disk by default (swsuspend don't work with std-* kernels)

* Tue Jul 05 2005 Anton Farygin <rider@altlinux.ru> 0.9.25-alt2
- fixed negative values into polling select interval

* Tue Jul 05 2005 Anton Farygin <rider@altlinux.ru> 0.9.25-alt1
- first build for ALT Linux
